%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		gtkpod
Summary:	gui for Apple iPod player
Version:	1.0.0
Release:	1
BuildArch:	i686
License:	GNU/GPL
URL:		http://www.gtkpod.org
Group:		Multimedia/Audio
Source0:	%{name}-%{version}.tar.gz
Source200:	gtkpod.desktop
Patch0:		gtkpod-mountpoint.patch
Patch1:		gtkpod-1.0.0-endian-quickfix.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

BuildRequires: libxcb-devel
BuildRequires: xcb-util-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libffi-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libXdamage-devel

# Automatically resolved build dependencies
BuildRequires: bash
BuildRequires: gawk
BuildRequires: perl
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: curl-devel
BuildRequires: dbus-devel
BuildRequires: flac-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgpod-devel
BuildRequires: libid3tag-devel
BuildRequires: libmp4v2-devel
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel
BuildRequires: libxml2-devel
BuildRequires: pango-devel
BuildRequires: python26-devel
BuildRequires: zlib-devel perl-XML-Parser flex
BuildRequires: gdk-pixbuf-devel
BuildRequires: libpng-devel

Requires(post):		%_bindir/gtk-update-icon-cache
Requires(postun):	%_bindir/gtk-update-icon-cache

%description
gtkpod is a platform independent Graphical User Interface for Apple's iPod using GTK2.
It supports the first to fifth Generation including the iPod mini, iPod Photo,
iPod Shuffle, iPod nano, and iPod Video.

%post
touch --no-create %_datadir/icons/hicolor
if [ -x %_bindir/gtk-update-icon-cache ]; then
    %_bindir/gtk-update-icon-cache --quiet %_datadir/icons/hicolor || :
fi


%postun
touch --no-create %_datadir/icons/hicolor
if [ -x %_bindir/gtk-update-icon-cache ]; then
    %_bindir/gtk-update-icon-cache --quiet %_datadir/icons/hicolor || :
fi


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; )

for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
./configure \
--prefix=%_prefix \
PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%_applications
install -m 655 %{SOURCE200} $RPM_BUILD_ROOT%_applications

%files
%defattr(-,root,root)
%{_bindir}/gtkpod
%{_applications}/gtkpod.desktop
%{_datadir}/gtkpod
%{_datadir}/icons/hicolor/*/apps/gtkpod.png
%{_datadir}/icons/hicolor/scalable/apps/gtkpod.svg
%{_locale}/*/LC_MESSAGES/gtkpod.mo
%{_mandir}/man1/gtkpod.1.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- version update
* Sun Mar 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.99.16-1
- version update
* Wed Feb 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.99.14-3
- rebuilt
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 0.99.14-2
- python 2.6
* Mon May 11 2009 Christian Wasem <wasem@ccux-linux.de> 0.99.14-1
- Version update
* Thu Oct 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.99.12-1
- Version update
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.99.10-2
- rebuild against curl 7.17.7
* Thu Jul 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99.10-1
- Version update
* Thu Mar 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.99.8-1
- Version update
* Mon Aug 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.99.4-1
- Initial Release
